List Virtual Accounts
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/virtual/accounts \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/virtual/accounts"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/virtual/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_pages": 10,
"total_items": 105,
"data": [
{
"account_holder": "John Doe",
"account_number": "12345678",
"capability": {
"payment_method": "SWIFT"
},
"country_code": "SG",
"currency": "SGD",
"account_bank_id": "72970a7c-7921-431c-b95f-3438724ba16f",
"bank_name": "ABC Bank",
"bank_address": "810 Seventh Avenue, New York, NY 10019, US",
"clearing_system": {
"type": "bic_swift",
"value": "TCCLGB3L"
},
"status": "ACTIVE",
"close_reason": ""
}
]
}Virtual Accounts
List Virtual Accounts
Get list of virtual accounts.
GET
/
v1
/
virtual
/
accounts
List Virtual Accounts
Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
The maximum number of items to return per page. Must be between 10 and 100, inclusive.
Required range:
1 <= x <= 100Example:
10
The page number to retrieve a specific set of items. Must be 1 or greater.
Required range:
x >= 1Example:
1

